Have you tried CTRL+SHIFT+Q? It's supposed to force rebuilds in all configurations.... Be careful, in the description of this shortcut, Solidworks itself warns, I site, about "the considerable time" that these reconstructions can take.
Have you tried switching your assembly to Lite mode and then returning it to Resolved mode?
If that's not enough, I think we should move towards a macro.
Kind regards
Note: wouldn't you have double-posted by chance?....
Thank you for your intervention but it doesn't work sniif.
possible that it is posted 2 times but when the post was created it did not appear in the news feed so I made a second post and curiously I only see one it's weird.
I found a macro in the solidworks API help to switch all the elements of an assembly between Lightweight mode and Resolved mode; I deliver it as is: (be careful, the processing is very long for large assemblies). To try.....
'-----------------------------------------------
' Preconditions:
' 1. Open an assembly.
' 2. Open the Immediate window.
'
' Postconditions:
' 1. Sets all assembly components to either
' lightweight or fully resolved.
' 2. Examine the FeatureManager design tree
' and Immediate window.
'----------------------------------------------
Option Explicit
Sub ProcessComponent(swApp As SldWorks.SldWorks, swModel As SldWorks.ModelDoc2, swComp As SldWorks.Component2, swComponentSuppressionState As swComponentSuppressionState_e, sPadStr As String)
Dim vChildCompArr As Variant
Dim vChildComp As Variant
Dim swChildComp As SldWorks.Component2
Dim nRetVal As Long
vChildCompArr = swComp.GetChildren
For Each vChildComp In vChildCompArr
Set swChildComp = vChildComp
nRetVal = swChildComp.SetSuppression2(swComponentSuppressionState)
Debug.Print sPadStr & swChildComp.Name2 & " <" & swChildComp.ReferencedConfiguration & "> --> " & swChildComp.GetPathName
ProcessComponent swApp, swModel, swChildComp, swComponentSuppressionState, sPadStr + " "
Next vChildComp
End Sub
Sub main()
Dim swApp As SldWorks.SldWorks
Dim swModel As SldWorks.ModelDoc2
Dim swFeatMgr As SldWorks.FeatureManager
Dim swConfigMgr As SldWorks.ConfigurationManager
Dim swConfig As SldWorks.Configuration
Dim swRootComp As SldWorks.Component2
Dim bRet As Boolean
Dim nSuppressState As Long
Dim nResponse As Long
nResponse = MsgBox("Set all components to lightweight or resolved (Yes = Lightweight; No = Resolved)?", vbYesNo)
If nResponse = vbYes Then
nSuppressState = swComponentLightweight
Else
nSuppressState = swComponentFullyResolved
End If
Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
Set swFeatMgr = swModel.FeatureManager
Set swConfigMgr = swModel.ConfigurationManager
Set swConfig = swConfigMgr.ActiveConfiguration
Set swRootComp = swConfig.GetRootComponent3(True)
swFeatMgr.EnableFeatureTree = False
Debug.Print "File = " & swModel.GetPathName
ProcessComponent swApp, swModel, swRootComp, nSuppressState, " "
swFeatMgr.EnableFeatureTree = True
End Sub
@OBI WANI think @Lynk'mright, even if you go through the properties it creates an equation as soon as you put the = symbol in a hill.
Just look at the end of the previously cited tutorial by @a.leblanc, when he adds the deletion, he opens the equation window and we find the different values added previously.